<?php
/*
Plugin Name: NBC EditoOnIndex
Version: 1.2.b
Description: Rajoute un cadre "EditoOnIndex" sur votre page d'accueil.
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=146
Author: Nicco
Author URI: http://gallery-nicco.no-ip.org
*/

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
define('NBC_EDITOONINDEX_PATH' , PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');




/* Ajout de code dans un template avant la chaine $insert_before */
function nbc_EditoOnIndex_add_before_tpl_code($tlp_handle, $insert_before, $code)
{
  global $template;
 
  $template->loadfile($tlp_handle);
  $template->uncompiled_code[$tlp_handle] = str_replace($insert_before, $code.$insert_before, $template->uncompiled_code[$tlp_handle]);
}



/* Set the administration panel of the plugin */
function nbc_EditoOnIndex_admin_menu($menu)
{
  array_push($menu,
    array(
      'NAME' => 'EditoOnIndex',
      'URL' => get_admin_plugin_menu_link(NBC_EDITOONINDEX_PATH.'/admin/nbc_EditoOnIndex_admin.php')
    )
  );
    
  return $menu;
}




function nbc_EditoOnIndex_add_trigger()
{
  global $page, $conf;

  $conf_nbc_EditoOnIndex = explode("," , $conf['nbc_EditoOnIndex']);

  if ( isset($page['body_id']) and isset($page['section']) and ($page['section'] == 'categories') and !isset($page['category']) and ($conf_nbc_EditoOnIndex[0] == 'on') )
  {
    // Ajouter le bout de code {PLUGIN_INDEX_CONTENT_BEFORE} avant <div class="titrePage">
    nbc_EditoOnIndex_add_before_tpl_code('index','<div class="titrePage">','{PLUGIN_INDEX_CONTENT_BEFORE}');
  }
}



function nbc_EditoOnIndex()
{
  global $page;

  if ( isset($page['body_id']) and isset($page['section']) and ($page['section'] == 'categories') and !isset($page['category']) )
  {
    include_once(NBC_EDITOONINDEX_PATH.'/nbc_EditoOnIndex.php');
  }
}



add_event_handler('loc_begin_page_header', 'nbc_EditoOnIndex_add_trigger');
add_event_handler('loc_end_index' , 'nbc_EditoOnIndex', 40);
add_event_handler('get_admin_plugin_menu_links', 'nbc_EditoOnIndex_admin_menu');

?>
